version: '2'

services:
  pipedream_traffic_control:
    image: "pipedream_traffic_control:1.0"
    container_name: pipedream_traffic_control
    cap_add:
      - NET_ADMIN
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
      - /var/run/netns:/var/run/netns
      - /proc:/procx
    network_mode: host
    privileged: true

networks:
  default:
    external:
      name: host

